/*

  Metal Touch Sensor Module (Analog)

  Parts required:
  - Arduino Board
  - Metal Touch Sensor Module
  - LED (Any color)
  - 220 Ohm Resistor

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 22 Jun 2019
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

// Initialize all variables
int analogReadPin = A0;
int ledPin = 9;
int analogReadValue;
int checkState = 0;
int bounceRemover = 200;

void setup() {
  pinMode(analogReadPin, INPUT);                  // Set analogReadPin as INPUT
  pinMode(ledPin, OUTPUT);                        // Set ledPin as OUTPUT
}

void loop() {

  analogReadValue = analogRead(analogReadPin);    // Read the value of analogReadPin and store in analogReadValue

  if (analogReadValue <= 500) {                   // Do until analogReadValue <= 500
    delay(bounceRemover);                         // Remove bounce from switch

    if (checkState == 0) {                        // If LED is off turn it ON
      digitalWrite(ledPin, HIGH);                 
      checkState = 1;                             
    }
    else {
      digitalWrite(ledPin, LOW);                  // If LED is ON turn it OFF
      checkState = 0;
    }
  }
}
